summaryrefslogtreecommitdiffstats
path: root/update_jdn.sh
diff options
context:
space:
mode:
authorHolger Levsen <holger@layer-acht.org>2016-11-21 14:53:13 +0100
committerHolger Levsen <holger@layer-acht.org>2016-11-21 14:53:13 +0100
commit2706662221524b890532bd7c8eeadac67f72faa8 (patch)
tree6c0541850b87759a2e767941db673bf83be5d184 /update_jdn.sh
parent117cf4a18aa98b67b2086d7b184383c55ee6f8d8 (diff)
downloadjenkins.debian.net-2706662221524b890532bd7c8eeadac67f72faa8.tar.xz
only notify irc of updates if an update really happened
Signed-off-by: Holger Levsen <holger@layer-acht.org>
Diffstat (limited to 'update_jdn.sh')
-rwxr-xr-xupdate_jdn.sh8
1 files changed, 5 insertions, 3 deletions
diff --git a/update_jdn.sh b/update_jdn.sh
index 6b2ca26f..a2e1e80e 100755
--- a/update_jdn.sh
+++ b/update_jdn.sh
@@ -739,9 +739,11 @@ case $HOSTNAME in
sudo date --set="+398 days +6 hours + 23 minutes"
;;
jenkins)
- # notify irc
- MESSAGE="jenkins.d.n updated to $(cd $BASEDIR ; git describe --always)."
- kgb-client --conf /srv/jenkins/kgb/debian-qa.conf --relay-msg "$MESSAGE"
+ # notify irc on updates of jenkins.d.n
+ if ! $UP2DATE ; then
+ MESSAGE="jenkins.d.n updated to $(cd $BASEDIR ; git describe --always)."
+ kgb-client --conf /srv/jenkins/kgb/debian-qa.conf --relay-msg "$MESSAGE"
+ fi
;;
*) ;;
esac